> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user.

> Get current user.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /users/me
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /users/me:
    get:
      tags:
        - User
      summary: Get current user.
      description: Get current user.
      operationId: GetMe
      parameters: []
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDocument'
      security:
        - jwt: []
components:
  schemas:
    UserDocument:
      allOf:
        - $ref: '#/components/schemas/UserI'
        - $ref: '#/components/schemas/Document'
    UserI:
      allOf:
        - $ref: >-
            #/components/schemas/Omit_InferSchemaType_typeofuserSchema_.notificationPreferences_
        - properties:
            notificationPreferences:
              $ref: '#/components/schemas/NotificationPreferences'
          required:
            - notificationPreferences
          type: object
    Document:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    Omit_InferSchemaType_typeofuserSchema_.notificationPreferences_:
      $ref: >-
        #/components/schemas/Pick_InferSchemaType_typeofuserSchema_.Exclude_keyofInferSchemaType_typeofuserSchema_.notificationPreferences__
      description: Construct a type with the properties of T except for those in type K.
    NotificationPreferences:
      properties:
        all-ticket-messages:
          $ref: '#/components/schemas/NotificationPreference'
        all-sla-breached:
          $ref: '#/components/schemas/NotificationPreference'
        personal-ticket-messages:
          $ref: '#/components/schemas/NotificationPreference'
        all-created-tickets:
          $ref: '#/components/schemas/NotificationPreference'
        personal-assignment:
          $ref: '#/components/schemas/NotificationPreference'
        personal-mention:
          $ref: '#/components/schemas/NotificationPreference'
        team-ticket-messages:
          $ref: '#/components/schemas/NotificationPreference'
        team-ticket-assignment:
          $ref: '#/components/schemas/NotificationPreference'
      required:
        - all-ticket-messages
        - all-sla-breached
        - personal-ticket-messages
        - all-created-tickets
        - personal-assignment
        - personal-mention
        - team-ticket-messages
        - team-ticket-assignment
      type: object
      additionalProperties: false
    FlattenMaps_T_:
      properties: {}
      type: object
    Pick_InferSchemaType_typeofuserSchema_.Exclude_keyofInferSchemaType_typeofuserSchema_.notificationPreferences__:
      properties:
        _id:
          properties:
            isValid:
              properties: {}
              type: object
            createFromHexString:
              properties: {}
              type: object
            createFromTime:
              properties: {}
              type: object
            generate:
              properties: {}
              type: object
            cacheHexString: {}
          type: object
        hidden:
          type: boolean
        createdAt:
          $ref: '#/components/schemas/NativeDate'
        email:
          type: string
        updatedAt:
          $ref: '#/components/schemas/NativeDate'
        userType:
          $ref: '#/components/schemas/UserType'
        identityProvider:
          properties:
            providerId:
              type: string
            userId:
              type: string
          type: object
        password:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        profileImageUrl:
          type: string
        lastSeen:
          type: string
          format: date-time
        lastAutoAssign:
          type: string
          format: date-time
        available:
          type: boolean
        unavailableProjects:
          items:
            type: string
          type: array
        services:
          properties:
            default: {}
          type: object
        serviceAccountApiToken:
          type: string
        confirmed:
          type: boolean
        referral:
          type: string
        code:
          type: string
        codeCreatedAt:
          type: string
          format: date-time
        otp:
          type: string
        otpCreatedAt:
          type: string
          format: date-time
        userRole:
          type: string
        knewGleapFrom:
          type: string
        userUsage:
          type: string
        utm_source:
          type: string
        utm_medium:
          type: string
        utm_term:
          type: string
        utm_content:
          type: string
        utm_campaign:
          type: string
        gaClientId:
          type: string
        gaSessionId:
          type: string
        marketingTracking:
          properties:
            generateLeadTrackedAt:
              type: string
              format: date-time
            signupTrackedAt:
              type: string
              format: date-time
          type: object
        completedOnboarding:
          type: boolean
        onboardingFlow:
          type: string
        mastercardUser:
          type: boolean
        fcmTokens:
          items:
            type: string
          type: array
        twoFactorAuthentication:
          properties:
            currentWebAuthnChallenge:
              type: string
            methods:
              properties:
                webAuthn:
                  items:
                    properties:
                      counter:
                        type: number
                        format: double
                      publicKey:
                        type: string
                      credentialID:
                        type: string
                      name:
                        type: string
                    type: object
                  type: array
              required:
                - webAuthn
              type: object
            isEnabled:
              type: boolean
          type: object
        notificationSettings:
          properties:
            preventNotificationsWhereICreator:
              type: boolean
            directlySendNotifications:
              type: boolean
            sendEmailOnlyWhenOffline:
              type: boolean
          required:
            - preventNotificationsWhereICreator
            - directlySendNotifications
            - sendEmailOnlyWhenOffline
          type: object
      required:
        - createdAt
        - updatedAt
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    NotificationPreference:
      properties:
        push:
          type: boolean
        inApp:
          type: boolean
        email:
          type: boolean
      required:
        - push
        - inApp
        - email
      type: object
      additionalProperties: false
    NativeDate:
      type: string
    UserType:
      enum:
        - default
        - sso
        - service_account
      type: string
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````